commit b45761eab262c374f52191db40eb44e08badcd55
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri Jan 14 01:18:06 2022

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index df1b8208fed..2981398b16f 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,10 @@
+2022-01-13  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/101615
+	PR tree-optimization/103995
+	* tree-vect-slp.c (vect_optimize_slp): Materialize permutes
+	at CTOR SLP graph entries.
+
 2022-01-12  liuhongt  <hongtao.liu@intel.com>
 
 	PR target/98348
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 860fd87fbcb..b0d3d8e2752 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20220113
+20220114
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 58ca9d1979d..328b5462925 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,9 @@
+2022-01-13  Richard Biener  <rguenther@suse.de>
+
+	PR tree-optimization/101615
+	PR tree-optimization/103995
+	* gcc.dg/vect/bb-slp-pr101615-2.c: New testcase.
+
 2022-01-12  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:

